For the complete documentation index, see llms.txt. This page is also available as Markdown.

Platform contracts и schemas

Endpoints для чтения версий контрактов и JSON Schema. Они нужны разработчикам, которые хотят проверять формат envelopes, webhook payloads, idempotency, pagination и других API-структур.

Public contracts

Public contract version registry

get
Responses
200

Current contract versions.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/public/contracts
GET /api/v3/public/contracts HTTP/1.1
Accept: */*
200

Current contract versions.

{
  "state": 0,
  "message": "text",
  "result": {
    "contracts": [
      {
        "key": "operation-contract",
        "version": "operation-contract-v1",
        "title": "text",
        "status": "current",
        "stability": "stable",
        "description": "text",
        "headers": [
          "text"
        ],
        "schemas": [
          "text"
        ]
      }
    ]
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Public contract by key

Show one public contract version

get
Path parameters
contractstringRequiredExample: operation-contract
Responses
200

Contract version.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/public/contracts/{contract}
GET /api/v3/public/contracts/{contract} HTTP/1.1
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "contract": {
      "key": "operation-contract",
      "version": "operation-contract-v1",
      "title": "text",
      "status": "current",
      "stability": "stable",
      "description": "text",
      "headers": [
        "text"
      ],
      "schemas": [
        "text"
      ]
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Public schemas

Public JSON Schema registry

get
Responses
200

JSON Schema catalog.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/public/schemas
GET /api/v3/public/schemas HTTP/1.1
Accept: */*
200

JSON Schema catalog.

{
  "state": 0,
  "message": "text",
  "result": {
    "schemas": [
      {
        "key": "success-envelope.v1",
        "title": "text",
        "version": "text",
        "contract": "text",
        "content_type": "application/schema+json",
        "endpoint": "text"
      }
    ]
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Public schema by key

Show one JSON Schema

get
Path parameters
schemastringRequiredExample: success-envelope.v1
Responses
200

JSON Schema payload.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/public/schemas/{schema}
GET /api/v3/public/schemas/{schema} HTTP/1.1
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": {
    "schema": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  },
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Private contracts

Authenticated contract version registry

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/contracts
GET /api/v3/private/contracts HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Private contract by key

Show authenticated contract version

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
contractstringRequired
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/contracts/{contract}
GET /api/v3/private/contracts/{contract} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Private schemas

Authenticated JSON Schema registry

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/schemas
GET /api/v3/private/schemas HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Private schema by key

Show authenticated JSON Schema

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
schemastringRequired
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/schemas/{schema}
GET /api/v3/private/schemas/{schema} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Последнее обновление

Это было полезно?